mcneel/rhinocommon

Bug in Curve.ProjectToPlane, Plane fliped ?

goswinr opened this issue · 0 comments

I believe Rhino.Geometry.Curve.ProjectToPlane has a bug.
The projected curve seems to be mirrored around the projection plane.
or am I doing something wrong here ?

test this code on any 3d curve not in the Cplane:

import rhinoscriptsyntax as rs
import Rhino.Geometry as geo
import scriptcontext as sc ; ot = sc.doc.Objects

o = rs.GetObject()
c = rs.coercecurve(o)
m = rs.CurveMidPoint(c)

pl= rs.WorldXYPlane()
pl.OriginZ = m.Z

p = geo.Curve.ProjectToPlane(c,pl)
ot.AddCurve(p)

2013-03-18 14 37